summaryrefslogtreecommitdiff
path: root/dev-python/ipykernel/ipykernel-7.0.0_alpha1.ebuild
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2025-03-08 10:58:28 +0000
committerLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2025-03-08 10:58:28 +0000
commit347da451c3dbda069bfbfafea33476334d6dd1c2 (patch)
tree9b9cbfe7fca4f26451d12ec4ff52f46c679c2287 /dev-python/ipykernel/ipykernel-7.0.0_alpha1.ebuild
parent1c85d1705f0ada109728ba38e08b5a2576fb0951 (diff)
downloadbaldeagleos-repo-347da451c3dbda069bfbfafea33476334d6dd1c2.tar.gz
baldeagleos-repo-347da451c3dbda069bfbfafea33476334d6dd1c2.tar.xz
baldeagleos-repo-347da451c3dbda069bfbfafea33476334d6dd1c2.zip
Adding metadata
Diffstat (limited to 'dev-python/ipykernel/ipykernel-7.0.0_alpha1.ebuild')
-rw-r--r--dev-python/ipykernel/ipykernel-7.0.0_alpha1.ebuild89
1 files changed, 89 insertions, 0 deletions
diff --git a/dev-python/ipykernel/ipykernel-7.0.0_alpha1.ebuild b/dev-python/ipykernel/ipykernel-7.0.0_alpha1.ebuild
new file mode 100644
index 000000000000..745f7d071aad
--- /dev/null
+++ b/dev-python/ipykernel/ipykernel-7.0.0_alpha1.ebuild
@@ -0,0 +1,89 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=hatchling
+PYTHON_COMPAT=( python3_{9,10,11,12,13} )
+PYTHON_REQ_USE="threads(+)"
+
+inherit distutils-r1 pypi virtualx
+
+DESCRIPTION="IPython Kernel for Jupyter"
+HOMEPAGE="
+ https://github.com/ipython/ipykernel/
+ https://pypi.org/project/ipykernel/
+"
+
+LICENSE="BSD"
+SLOT="0"
+
+RDEPEND="
+ <dev-python/anyio-5[${PYTHON_USEDEP}]
+ >=dev-python/anyio-4.8.0[${PYTHON_USEDEP}]
+ >=dev-python/comm-0.1.1[${PYTHON_USEDEP}]
+ >=dev-python/ipython-7.23.1[${PYTHON_USEDEP}]
+ >=dev-python/jupyter-client-8.0.0[${PYTHON_USEDEP}]
+ >=dev-python/jupyter-core-4.12[${PYTHON_USEDEP}]
+ >=dev-python/matplotlib-inline-0.1[${PYTHON_USEDEP}]
+ >=dev-python/nest-asyncio-1.4[${PYTHON_USEDEP}]
+ >=dev-python/packaging-22[${PYTHON_USEDEP}]
+ >=dev-python/psutil-5.7[${PYTHON_USEDEP}]
+ >=dev-python/pyzmq-26.0[${PYTHON_USEDEP}]
+ >=dev-python/traitlets-5.4.0[${PYTHON_USEDEP}]
+ >=dev-python/zmq-anyio-0.3.6[${PYTHON_USEDEP}]
+"
+# RDEPEND seems specifically needed in BDEPEND, at least jupyter
+# bug #816486
+# pytest-8 runs a small subset of tests, we allow newer for 3.13
+# since a few tests are better than skipping entirely
+BDEPEND="
+ ${RDEPEND}
+ test? (
+ dev-python/flaky[${PYTHON_USEDEP}]
+ dev-python/ipyparallel[${PYTHON_USEDEP}]
+ dev-python/pytest-timeout[${PYTHON_USEDEP}]
+ dev-python/trio[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+src_prepare() {
+ # debugpy is actually optional
+ sed -i -e '/debugpy/d' pyproject.toml || die
+ distutils-r1_src_prepare
+}
+
+python_compile() {
+ distutils-r1_python_compile
+ # Use python3 in kernel.json configuration, bug #784764
+ sed -i -e '/python3.[0-9]\+/s//python3/' \
+ "${BUILD_DIR}/install${EPREFIX}/usr/share/jupyter/kernels/python3/kernel.json" || die
+}
+
+src_test() {
+ virtx distutils-r1_src_test
+}
+
+python_test() {
+ local EPYTEST_DESELECT=(
+ # hangs?
+ tests/test_eventloop.py::test_tk_loop
+ # flaky
+ tests/test_eventloop.py::test_qt_enable_gui
+ )
+
+ case ${EPYTHON} in
+ python3.13)
+ EPYTEST_DESELECT+=(
+ tests/test_embed_kernel.py
+ tests/test_kernelspec.py::test_install_kernelspec
+ tests/test_zmq_shell.py::test_zmq_interactive_shell
+ )
+ ;;
+ esac
+
+ local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+ epytest -p anyio -p timeout
+}